Bug 477317 - system-config-network-tui crash on save/exit
system-config-network-tui crash on save/exit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-20 08:19 EST by udo
Modified: 2010-06-28 06:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:58:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make value a string (433 bytes, text/plain)
2009-01-07 17:11 EST, Joe Nall
no flags Details

  None (edit)
Description udo 2008-12-20 08:19:22 EST
Description of problem:
# system-config-network-tui 
An unhandled exception has occured.  This is most likely a bug.  Please save the crash dump and file a detailed bug report against system-config-network at https://bugzilla.redhat.com/bugzilla
Component: system-config-network
Version: 1.5.93
Summary: TB /usr/share/system-config-network/netconfpkg/conf/ConfShellVar.py:58:__setitem__:TypeError: expected string or buffer
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 309, in <module>
    sys.exit(main())
  File "/usr/sbin/system-config-network-tui", line 282, in main
    devlist.save()
  File "/usr/share/system-config-network/netconfpkg/NCDeviceList.py", line 238, in save
    dev.save()
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 413, in save
    conf[confkey] = getattr(self, selfkey)
  File "/usr/share/system-config-network/netconfpkg/conf/ConfShellVar.py", line 58, in __setitem__
    if self.quotereg.search(value):
TypeError: expected string or buffer

> /usr/share/system-config-network/netconfpkg/conf/ConfShellVar.py(58)__setitem__()
-> if self.quotereg.search(value):
(Pdb) 



Version-Release number of selected component (if applicable): 1.5.93


How reproducible:
Try to save config

Steps to Reproduce:
1. start tui
2. edit/review
3. save settings; bingo!
  
Actual results:
`crash`

Expected results:
no crash

Additional info:
I was trying to get the network routing on my box right.
[ The default gateway for IP is not set up correctly after boot.
I have eth0 and usb0 network interfaces.
eth0 is the interface to the gateway.
GATEWAY=x.y.z.a in /etc/sysconfig/network and/or /etc/sysconfig/network-scripts/ifcfg-eth0 don't really have effect; a service network stop; service network start brings up a network without default gateway or the systems name as default gateway ]
Comment 1 udo 2008-12-21 14:07:21 EST
# rpm -q system-config-network gnome-python2-canvas gnome-python2 htmlview pygtk2 pygtk2-libglade python system-config-network-tui.noarch usermode-gtk
system-config-network-1.5.93-2.fc10.noarch
gnome-python2-canvas-2.22.3-1.fc10.x86_64
gnome-python2-2.22.3-1.fc10.x86_64
htmlview-4.0.0-3.fc7.noarch
pygtk2-2.13.0-2.fc10.x86_64
pygtk2-libglade-2.13.0-2.fc10.x86_64
python-2.5.2-1.fc10.x86_64
system-config-network-tui-1.5.93-2.fc10.noarch
usermode-gtk-1.98.1-1.x86_64
Comment 2 udo 2008-12-21 14:22:47 EST
system-config-network-1.5.95-1 doesn't crash for me; i.e.: works better!
Comment 3 Joe Nall 2009-01-07 08:58:57 EST
I experienced this problem also. NetworkManager was disabled and I was changing eth0 from dhcp to static IP. ifconfig-eth0 was not changed.

varname=MTU
value=1500

The problem is that you are calling self.quotereg.search on an int instead of a string.

self.quotereg.search(str(value))

doesn't throw a traceback.
Comment 4 Joe Nall 2009-01-07 17:11:36 EST
Created attachment 328422 [details]
Patch to make value a string
Comment 5 udo 2009-01-18 04:31:33 EST
Patch works for me. No more crash for system-config-network-tui.

Thanks!
Comment 6 Jon Dufresne 2009-02-17 12:58:48 EST
Thank you for the bug report. This particular bug was fixed and an updated
package was published for download. If you find that the bug still persists feel free to reopen this bug.

You can obtain the updated package by typing 'yum update <package>' or using
the graphical updater, Software Update.
Comment 7 Joe Nall 2009-02-17 13:09:16 EST
Fixed version number?
Comment 8 Jon Dufresne 2009-02-17 13:14:26 EST
(In reply to comment #7)
> Fixed version number?

According to comment #2 this was fixed in 1.5.95. Can you please update to this version and retest. If the bug still persists please reopen this bug report.
Comment 9 udo 2009-02-17 13:28:12 EST
# system-config-network-tui
An unhandled exception has occured.  This is most likely a bug.  Please save the crash dump and file a detailed bug report against system-config-network at https://bugzilla.redhat.com/bugzilla
Component: system-config-network
Version: 1.5.95
Summary: TB /usr/share/system-config-network/netconfpkg/NCDevice.py:177:getDialog:TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 309, in <module>
    sys.exit(main())
  File "/usr/sbin/system-config-network-tui", line 287, in main
    if act.runIt(screen):
  File "/usr/share/system-config-network/netconfpkg/tui/NCPluginDevices.py", line 126, in runIt
    self.setState()
  File "/usr/share/system-config-network/netconfpkg/tui/NCPluginDevices.py", line 39, in setState
    if not hasattr(dev, "getDialog") or not dev.getDialog():
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 177, in getDialog
    raise NotImplemented
TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType

> /usr/share/system-config-network/netconfpkg/NCDevice.py(177)getDialog()
-> raise NotImplemented
(Pdb)
Comment 10 udo 2009-02-17 13:28:48 EST
]# rpm -qi system-config-network-tui
Name        : system-config-network-tui    Relocations: (not relocatable)
Version     : 1.5.95                            Vendor: Fedora Project
Release     : 1.fc11                        Build Date: Wed 17 Dec 2008 01:41:58 PM CET
Comment 11 udo 2009-06-20 09:14:36 EDT
Upgraded to F11
1.5.97-1

No crash so far...
Comment 12 Bug Zapper 2009-11-18 04:08:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-04-27 08:33:35 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-06-28 06:58:07 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.